TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Operation

list L := elt-ord^rat pos

### Syntax

<list>[<elt-ord^rat>] := <any>

### Description

<shortdoc> Assign a value `a' to the list `L' at position `pos'.
`pos' must not be negative nor 0.
Note: If `pos' is beyond the current scope of `L' the list is dynamically expanded to cover the assignment. </shortdoc>

### Examples

L:=[1,,,"foo",,3,4*I,2*I]; L[1]:=2; L;
c:=[2,4,6,8,10,12,14,16,18,20]; c[12]:=24; c;

### See also

list := list
[] ( list, elt-ord^rat ) -> any
[] ( nof(any) ) -> list
Apply ( list, func ) -> list
List ( any ) -> list

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack